org.apache.olingo.server.api.debug

## Class RuntimeMeasurement

- java.lang.Object
- - org.apache.olingo.server.api.debug.RuntimeMeasurement

-     public class RuntimeMeasurement
      extends Object

  Runtime measurements.

  All times are in nanoseconds since some fixed but arbitrary time (perhaps in the future, so values may be negative).

  See Also:
    `System.nanoTime()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeMeasurement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()` Gets the class name.
    `String` | `getMethodName()` Gets the method name.
    `long` | `getTimeStarted()` Gets the start time.
    `long` | `getTimeStopped()` Gets the stop time.
    `void` | `setClassName(String className)` Sets the class name.
    `void` | `setMethodName(String methodName)` Sets the method name.
    `void` | `setTimeStarted(long timeStarted)` Sets the start time.
    `void` | `setTimeStopped(long timeStopped)` Sets the stop time.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeMeasurement

          public RuntimeMeasurement()

  - ### Method Detail

    - #### setClassName

          public void setClassName(String className)

      Sets the class name.
      Parameters:
        `className` - the name of the class that is measured

    - #### getClassName

          public String getClassName()

      Gets the class name.
      Returns:
        the name of the class that is measured

    - #### setMethodName

          public void setMethodName(String methodName)

      Sets the method name.
      Parameters:
        `methodName` - the name of the method that is measured

    - #### getMethodName

          public String getMethodName()

      Gets the method name.
      Returns:
        the name of the method that is measured

    - #### setTimeStarted

          public void setTimeStarted(long timeStarted)

      Sets the start time.
      Parameters:
        `timeStarted` - the start time in nanoseconds
      See Also:
        `System.nanoTime()`

    - #### getTimeStarted

          public long getTimeStarted()

      Gets the start time.
      Returns:
        the start time in nanoseconds or 0 if not set yet
      See Also:
        `System.nanoTime()`

    - #### setTimeStopped

          public void setTimeStopped(long timeStopped)

      Sets the stop time.
      Parameters:
        `timeStopped` - the stop time in nanoseconds
      See Also:
        `System.nanoTime()`

    - #### getTimeStopped

          public long getTimeStopped()

      Gets the stop time.
      Returns:
        the stop time in nanoseconds or 0 if not set yet
      See Also:
        `System.nanoTime()`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.